> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cogfoundry.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish a Market SkillBot listing

> Creates a new listing or publishes a new immutable listing version from a loomloom template version.



## OpenAPI

````yaml /developer-reference/loomloom-api/openapi.json post /loom/v1/marketListings
openapi: 3.1.0
info:
  title: loomloom
  description: HTTP API for executing and managing loomloom AI work through CogFoundry.
  version: market-v1
  summary: ''
  contact: {}
servers:
  - url: https://loomloom.cogfoundry.ai
    description: CogFoundry production
security:
  - bearer: []
tags:
  - name: System
  - name: Creator Earnings
  - name: Creators
  - name: Creator Reviews
  - name: Input Assets
  - name: Market Listings
  - name: Market Runs
  - name: Models
  - name: Official Templates
  - name: Assets
  - name: Users
  - name: Runs
  - name: User Templates
paths:
  /loom/v1/marketListings:
    post:
      tags:
        - Market Listings
      summary: Publish a Market SkillBot listing
      description: >-
        Creates a new listing or publishes a new immutable listing version from
        a loomloom template version.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/server.publishMarketListingRequest'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.marketListingResponse'
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.errorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth1: []
components:
  schemas:
    server.publishMarketListingRequest:
      type: object
      properties:
        description:
          type: string
        displayName:
          type: string
        listingId:
          type: string
        taskFixedFeeT:
          type: integer
        templateId:
          type: string
        templateVersionId:
          type: string
    server.marketListingResponse:
      type: object
      properties:
        description:
          type: string
        displayName:
          type: string
        executionAvailabilityStatus:
          type: string
        id:
          type: string
        inputSchemaSnapshot:
          type: string
        listingVersionId:
          type: string
        ownerUserId:
          type: integer
        packageHash:
          type: string
        pricingRuleVersion:
          type: string
        pricingSnapshotHash:
          type: string
        publishedVersionId:
          type: string
        reviewReason:
          type: string
        reviewRequestId:
          type: string
        reviewStatus:
          type: string
        saleStatus:
          type: string
        status:
          type: string
        taskFixedFeeT:
          type: integer
    server.errorResponse:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
    BearerAuth1:
      description: 'Use `Authorization: Bearer <api-token>`.'
      type: apiKey
      name: Authorization
      in: header

````